NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Annotations.HatchBuilder Class Reference

This class is used to construct the crosshatching that lies within a boundary. More...

Inheritance diagram for NXOpen.Annotations.HatchBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AnnotationTypes { Crosshatch, AreaFill }
 Represents types of hatch objects. More...
 

Public Member Functions

unsafe double GetMarginPercent (NXOpen.NXObject annotation)
 Get margin percent of a annotation More...
 
unsafe void SetCurveDirection (NXOpen.NXObject curveTag, int curveDirection)
 Set direction of a curve to the annotation The number of diection map elements need to specify before to the direction of the curve elements to the annotation More...
 
unsafe void SetMarginPercent (NXOpen.NXObject annotation, double marginpercent)
 Set margin percent to a annotation More...
 
unsafe void SetNumCurrentDirectionMapElements (int numCurrentDirectionMapElement)
 Set number of direction map elements to the annotation More...
 
unsafe void SetSectionCurveDirections (NXOpen.NXObject section, NXOpen.NXObject curve, int[] curveDirections)
 Set directions of a curve to the annotation The number of diection map elements need to specify before to the direction of the curve elements to the annotation More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double Angle [get, set]
 Returns or sets the angle. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
AnnotationToExclude [get]
 Returns the select annotation to exclude More...
 
unsafe
NXOpen.Annotations.HatchBuilder.AnnotationTypes 
AnnotationType [get, set]
 Returns or sets the type of hatch object More...
 
unsafe double AreafillAngle [get, set]
 Returns or sets the areafill angle. More...
 
unsafe bool AutomaticallyExcludeText [get, set]
 Returns or sets the exclude text. More...
 
unsafe
NXOpen.Annotations.BoundaryBuilder 
Boundary [get]
 Returns the boundary More...
 
unsafe NXOpen.NXColor Color [get, set]
 Returns or sets the color. More...
 
unsafe string CrosshatchFile [get, set]
 Returns or sets the crosshatch file. More...
 
unsafe double Distance [get, set]
 Returns or sets the distance. More...
 
unsafe
NXOpen.Annotations.HatchFillSettingsBuilder 
HatchFillSettings [get]
 Returns the HatchFillSetting More...
 
unsafe
NXOpen.Annotations.AreaFillMaterial 
Material [get, set]
 Returns or sets the area fill material. More...
 
unsafe string Pattern [get, set]
 Returns or sets the pattern. More...
 
unsafe double Scale [get, set]
 Returns or sets the scale. More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance. More...
 
unsafe NXOpen.Annotations.LineWidth Width [get, set]
 Returns or sets the width. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class is used to construct the crosshatching that lies within a boundary.

To create a new instance of this class, use NXOpen.Annotations.HatchCollection.CreateHatchBuilder

Created in NX6.0.0

Member Enumeration Documentation

Represents types of hatch objects.

Use NXOpen.Annotations.HatchBuilder.HatchFillSettings instead..

Enumerator
Crosshatch 

Crosshatch

AreaFill 

Area Fill

Member Function Documentation

unsafe double NXOpen.Annotations.HatchBuilder.GetMarginPercent ( NXOpen.NXObject  annotation)
inline

Get margin percent of a annotation

Created in NX7.5.0

License requirements: None.

Parameters
annotationannotation or DraftingCombinedInstance
Returns
unsafe void NXOpen.Annotations.HatchBuilder.SetCurveDirection ( NXOpen.NXObject  curveTag,
int  curveDirection 
)
inline

Set direction of a curve to the annotation The number of diection map elements need to specify before to the direction of the curve elements to the annotation

Created in NX8.0.0

License requirements: drafting ("DRAFTING")

Parameters
curveTag
curveDirection
unsafe void NXOpen.Annotations.HatchBuilder.SetMarginPercent ( NXOpen.NXObject  annotation,
double  marginpercent 
)
inline

Set margin percent to a annotation

Created in NX7.5.0

License requirements: drafting ("DRAFTING")

Parameters
annotationannotation or DraftingCombinedInstance
marginpercenttext islands value
unsafe void NXOpen.Annotations.HatchBuilder.SetNumCurrentDirectionMapElements ( int  numCurrentDirectionMapElement)
inline

Set number of direction map elements to the annotation

Created in NX8.0.0

License requirements: drafting ("DRAFTING")

Parameters
numCurrentDirectionMapElement
unsafe void NXOpen.Annotations.HatchBuilder.SetSectionCurveDirections ( NXOpen.NXObject  section,
NXOpen.NXObject  curve,
int[]  curveDirections 
)
inline

Set directions of a curve to the annotation The number of diection map elements need to specify before to the direction of the curve elements to the annotation

Created in NX8.5.0

License requirements: drafting ("DRAFTING")

Parameters
section
curve
curveDirectionsarray of directions for the curve

Property Documentation

unsafe double NXOpen.Annotations.HatchBuilder.Angle
getset

Returns or sets the angle.

Created in NX6.0.0

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Annotations.HatchBuilder.AnnotationToExclude
get

Returns the select annotation to exclude

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.HatchBuilder.AnnotationTypes NXOpen.Annotations.HatchBuilder.AnnotationType
getset

Returns or sets the type of hatch object

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Annotations.HatchBuilder.AreafillAngle
getset

Returns or sets the areafill angle.

Created in NX6.0.1

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Annotations.HatchBuilder.AutomaticallyExcludeText
getset

Returns or sets the exclude text.

This is not used if NXOpen.Annotations.BoundaryBuilder.SelectionMethod.Curves is set.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Annotations.BoundaryBuilder NXOpen.Annotations.HatchBuilder.Boundary
get

Returns the boundary

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.NXColor NXOpen.Annotations.HatchBuilder.Color
getset

Returns or sets the color.

Created in NX6.0.0

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe string NXOpen.Annotations.HatchBuilder.CrosshatchFile
getset

Returns or sets the crosshatch file.

Created in NX6.0.0

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Annotations.HatchBuilder.Distance
getset

Returns or sets the distance.

Created in NX6.0.0

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Annotations.HatchFillSettingsBuilder NXOpen.Annotations.HatchBuilder.HatchFillSettings
get

Returns the HatchFillSetting

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Annotations.AreaFillMaterial NXOpen.Annotations.HatchBuilder.Material
getset

Returns or sets the area fill material.

Created in NX6.0.0

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe string NXOpen.Annotations.HatchBuilder.Pattern
getset

Returns or sets the pattern.

Created in NX6.0.0

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Annotations.HatchBuilder.Scale
getset

Returns or sets the scale.

Created in NX6.0.0

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Annotations.HatchBuilder.Tolerance
getset

Returns or sets the tolerance.

Created in NX6.0.0

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Annotations.LineWidth NXOpen.Annotations.HatchBuilder.Width
getset

Returns or sets the width.

Created in NX6.0.0

Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.